Skip to main content
GET
/
stocks
/
{symbol}
/
ohlc
Get Historical Ohlc
curl --request GET \
  --url https://api.tradewatch.io/stocks/{symbol}/ohlc \
  --header 'api-key: <api-key>'
{
  "symbol": "<string>",
  "resolution": "<string>",
  "items": [
    {
      "time": 123,
      "open_ask": 123,
      "high_ask": 123,
      "low_ask": 123,
      "close_ask": 123,
      "open_bid": 123,
      "high_bid": 123,
      "low_bid": 123,
      "close_bid": 123
    }
  ]
}

Authorizations

api-key
string
header
required

Authentication via API key header

Path Parameters

symbol
string
required

Query Parameters

resolution
enum<string>
required

Resolution in seconds.

Available options:
5,
10,
30,
60,
600,
1800,
3600,
14400,
43200,
86400
start
integer
required

Unix timestamp (inclusive).

end
integer
required

Unix timestamp (exclusive).

Response

Successful Response

symbol
string
required
resolution
string
required
items
HistoricalOHLCCandle · object[]
required